Get list of posts

Returns a paginated list of posts created by the authenticated user. Posts are ordered by pinned status first, then by publication date (newest first). <Info>Scope required: `read:post`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

pagedoubleOptional>=1Defaults to 1

Page number to retrieve (starts from 1)

sizedoubleOptional1-50Defaults to 15

Number of items to return per page (1-50, default: 15)

includeUnpublishedenumOptionalDefaults to true

Whether to include unpublished posts (drafts and scheduled posts) in the results. Defaults to true.

Allowed values:

Response

List of posts
datalist of objects
Array of posts
paginationobject
Pagination information

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
410
Gone Error
429
Too Many Requests Error